Package com.onwbp.base.text

# Class UserMessageString

java.lang.Object
com.onwbp.base.text.UserMessage
com.onwbp.base.text.UserMessageString

public class UserMessageString extends UserMessage
Provides a message based on strings directly set from Java code (not externalized).

See Also:
  - `UserMessage.createInfo(String)`
  - `UserMessage.createWarning(String)`
  - `UserMessage.createError(String)`
  - `UserMessage.createError(String, Throwable)`
  - `UserMessage.createFatal(String)`
  - `UserMessage.createFatal(String, Throwable)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserMessageString()`
  Creates an information message without parameters.
  `UserMessageString(Severity severity, String aMessage, Object[] params, String anInternalId, Throwable anException)`
  `UserMessageString(Severity severity, String aMessage, Object[] params, Throwable anException)`
  `UserMessageString(Object[] params)`
  Creates an information message.
  `UserMessageString(Object[] params, Throwable anException)`
  Creates an information message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInternalId()`
  Returns a specific identifier for logging and technical auditing.
  `void`
  `setInternalId(String internalId)`
  Specifies the 'internalId'.
  `UserMessage`
  `setString(Locale aLocale, String aRawString)`
  `UserMessage`
  `setStringForDefault(String aRawString)`
  `String`
  `toString()`

  ### Methods inherited from class com.onwbp.base.text.UserMessage

  `createError, createError, createFatal, createFatal, createInfo, createWarning, formatMessage, getSeverity, getThrowable, isError, isFatal, isInfo, isWarning, setSeverity, setSeverity`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserMessageString

    public UserMessageString()
    Creates an information message without parameters.

  - ### UserMessageString

    public UserMessageString(Object[] params)
    Creates an information message.

  - ### UserMessageString

    public UserMessageString(Object[] params, Throwable anException)
    Creates an information message.

  - ### UserMessageString

    public UserMessageString(Severity severity, String aMessage, Object[] params, Throwable anException)

  - ### UserMessageString

    public UserMessageString(Severity severity, String aMessage, Object[] params, String anInternalId, Throwable anException)

- ## Method Details

  - ### getInternalId

    public String getInternalId()
    Description copied from class: `UserMessage`
    Returns a specific identifier for logging and technical auditing. Returns `null` if this message has no identifier (this is the case for a `UserMessageString`).
    Specified by:
      `getInternalId` in class `UserMessage`

  - ### setInternalId

    public void setInternalId(String internalId)
    Specifies the 'internalId'.
    See Also:
      - `getInternalId()`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setStringForDefault

    public UserMessage setStringForDefault(String aRawString)

  - ### setString

    public UserMessage setString(Locale aLocale, String aRawString)